AWS
action Lambda

# toggle_event_source_mapping_state

Toggle an event source mapping to be disabled or enabled

Run it now
View details

Type | action
Module | chaosaws.awslambda.actions
Name | toggle_event_source_mapping_state
Return | mapping

Usage

JSON

    {
      "name": "toggle-event-source-mapping-state",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.awslambda.actions",
        "func": "toggle_event_source_mapping_state",
        "arguments": {
          "event_uuid": "",
          "enabled": true
        }
      }
    }

YAML

    name: toggle-event-source-mapping-state
    provider:
      arguments:
        enabled: true
        event_uuid: ""
      func: toggle_event_source_mapping_state
      module: chaosaws.awslambda.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
event_uuid | string |  | Yes | Event UUID |
enabled | boolean |  | Yes | Enabled | Whether this event source is enabled or not

Signature

    def toggle_event_source_mapping_state(
            event_uuid: str,
            enabled: bool,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action Lambda

  ## `put_function_concurrency`

  Throttles Lambda by setting reserved concurrency amount
- AWS
  probe Lambda

  ## `list_event_source_mapping`

  List event source mappings for the provided lambda function or ARN of the event source
- AWS
  probe Lambda

  ## `get_function_concurrency`

  Get configuration information of lambda by its function name